Bug 1194668 - Buttons on "Add New Host" page disappears after changing form back default values
Summary: Buttons on "Add New Host" page disappears after changing form back default va...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.5.0
Assignee: Roman Blanco
QA Contact: Pete Savage
URL:
Whiteboard:
Depends On:
Blocks: 1196741
TreeView+ depends on / blocked
 
Reported: 2015-02-20 13:39 UTC by Roman Blanco
Modified: 2015-12-08 13:02 UTC (History)
5 users (show)

Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1196741 (view as bug list)
Environment:
Last Closed: 2015-12-08 13:02:49 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 0 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Roman Blanco 2015-02-20 13:39:24 UTC
Description of problem:
-----------------------
On site for adding new host buttons "Add" and "Cancel" disappear after changing "Host platform" to some value and then back to default.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
5.3.3.2.20150217120931_a465215 


How reproducible:
-----------------
Always

Steps to Reproduce:
1. Go to "Add New Host" page
2. Change "Host platform" to some value
3. Change "Host platform" back to default value

Actual results:
---------------
Buttons disappear

Expected results:
-----------------
Buttons persist

Additional info:

Comment 2 Roman Blanco 2015-05-28 12:54:04 UTC
fixed in PR https://github.com/ManageIQ/manageiq/pull/1809/files

Comment 3 Pete Savage 2015-10-05 15:03:10 UTC
The fact that you can't go back and select the default value again protects against this anyway in 5.5 

Verified in 5.5.0.3-alpha1.2.20150929172214

Comment 5 errata-xmlrpc 2015-12-08 13:02:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.